

### Example Detail Refresh

When having a statically calculated compoment displaying some value in the detail page and now we want to after the order is added to update this value, how do we do that? 

Is there a generic "refresh" capability?


#### Problem: Double refresh

When the first refresh happens, it worked, but it creates a blink effect. When trying to do that the second time (like adding a second order), the refresh does not happen and also there is no blinking.

The logs also show a different order of the close actions that are fired:

```shell
2024-06-11T17:23:52.406+02:00  INFO 91833 --- [nio-8080-exec-3] c.c.j.view.customer.CustomerDetailView   : Close Event: CloseAction{actionId='save'}
2024-06-11T17:25:06.117+02:00  INFO 91833 --- [nio-8080-exec-3] c.c.j.view.customer.CustomerDetailView   : Close Event: CloseAction{actionId='save'}
2024-06-11T17:25:06.145+02:00  INFO 91833 --- [nio-8080-exec-1] c.c.j.view.customer.CustomerDetailView   : Close Event: CloseAction{actionId='navigate'}
```
